Skip to main content
`Ctrl`+`K`

# MatSNESMFGetSNES

returns the `SNES` associated with a matrix created with `MatCreateSNESMF()`

## Synopsis

    #include "petscsnes.h"
    #include "petscdm.h"
    PetscErrorCode MatSNESMFGetSNES(Mat J, SNES *snes)

Not Collective

## Input Parameter

- J - the matrix

## Output Parameter

- snes - the `SNES` object

## See Also

SNES: Nonlinear Solvers, `Mat`, `SNES`, `MatCreateSNESMF()`

## Level

advanced

## Location

src/snes/mf/snesmfj.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages